Mono.Cairo 1.0.5000.0 2.0.0.0 Cairo.Gradient Extends by providing a linear gradient along the line defined by (x0, y0) and (x1, y1).

Before using the gradient pattern, a number of color stops should be defined using AddColorStop() or AddColorStopRgb().

`Pattern pat; pat = new LinearGradient (0.0, 0.0, 0.0, 1.0); pat.AddColorStop (1, new Color (0, 0, 0, 1) ); pat.AddColorStop (0, new Color (1, 1, 1, 1) ); gr.Rectangle ( new PointD (0, 0), 1, 1); gr.Pattern = pat; gr.Fill (); pat.Destroy ();`

- Constructor
  x coordinate of the start point
  y coordinate of the start point
  x coordinate of the end point
  y coordinate of the end point
  Create a new linear gradient along the line defined by (x0, y0) and (x1, y1).
  1.0.5000.0
  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  Cairo.PointD[] Gets the gradient endpoints for a linear gradient A Array of with the Start- and Endpoint